Bug 250598 - Review Request: dnscap - DNS traffic capture utility
Review Request: dnscap - DNS traffic capture utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 08:50 EDT by Adam Tkac
Modified: 2013-04-30 19:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 09:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stransky: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2007-08-02 08:50:30 EDT
SRPM URL: http://people.redhat.com/atkac/bind/dnscap-1.0-1.rc5.fc8.src.rpm
Description:

dnscap is a network capture utility designed specifically for DNS traffic. It produces binary data in pcap(3) format, either on standard output (by default) or in successive dump files (if the −d command line option is given.) This utility is similar to tcpdump(1), but has finer grained packet recognition tailored to DNS transactions and protocol options. dnscap is expected to be used for gathering continuous research or audit traces.
Comment 1 Paul Wouters 2007-08-02 09:45:20 EDT
It fails to build in mock, so it is missing some Buildrequires:

/var/tmp/rpm-tmp.76195: line 27: autoreconf: command not found

rpmlint complains:

E: dnscap explicit-lib-dependency libpcap
W: dnscap incoherent-version-in-changelog 1.0rc5-1 1.0-1.rc5.fc7

Comment 2 Paul Wouters 2007-08-02 09:48:23 EDT
# dnscap -i eth1 -g
dnscap: usage error: -g option is disabled due to lack of libbind

It might need more buildrequires too?
Comment 3 Adam Tkac 2007-08-03 04:20:32 EDT
it was due some missing buildrequires and typo in configure.ac. Fixed
Comment 5 Adam Tkac 2007-08-04 07:10:03 EDT
New Package CVS Request
=======================
Package Name: dnscap
Short Description: DNS traffic capture utility
Owners: atkac@redhat.com
Branches: devel
InitialCC: 
Comment 6 Kevin Fenzi 2007-08-04 14:36:19 EDT
According to the new license guidelines the License: field here should probibly
be "ISC". See: http://fedoraproject.org/wiki/Licensing

Can you provide a full Source0 URL? I don't see the rc5 version upstream, it
looks like it's all cvs snapshots. If it's a cvs snapshot, why are you calling
it rc5? 

In addition looks like you don't need the Requires: libpcap. rpmlint says: 
E: dnscap explicit-lib-dependency libpcap (as mentioned above). 
Comment 7 Adam Tkac 2007-08-06 04:25:43 EDT
(In reply to comment #6)
> According to the new license guidelines the License: field here should probibly
> be "ISC". See: http://fedoraproject.org/wiki/Licensing

You're right, fixed.

> Can you provide a full Source0 URL? I don't see the rc5 version upstream, it
> looks like it's all cvs snapshots. If it's a cvs snapshot, why are you calling
> it rc5? 

I believe that I somewhere saw that version is rc5. But I can't find now where
exactly :) - release changed to 0.2.20070516cvs

> In addition looks like you don't need the Requires: libpcap. rpmlint says: 
> E: dnscap explicit-lib-dependency libpcap (as mentioned above). 
> 

Which version of rpmlint are you using? My is rpmlint-0.80-2.fc8 and says nothing :)

Updated package is
http://people.redhat.com/atkac/bind/dnscap-1.0-0.2.20070516cvs.fc8.src.rpm

Adam
Comment 8 Kevin Fenzi 2007-08-06 13:05:28 EDT
In reply to comment #7: 

Thanks for fixing those things. 
My rpmlint is also 0.80-2, so not sure why yours wouldn't be giving that error
as well. :( 

Note You need to log in before you can comment on or make changes to this bug.